Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.boot
Class ActivateWrapper.ActivateDesc

    java.lang.Object
      org.jini.rio.boot.ActivateWrapper.ActivateDesc

All Implemented Interfaces:
  Serializable

Enclosing class:
  ActivateWrapper

    public static class ActivateWrapper.ActivateDesc

extends Object
implements Serializable

Descriptor for registering a "wrapped" activatable object. This descriptor gets stored as the `MarshalledObject` initialization data in the `ActivationDesc`.

See Also:
  Serialized Form

Field Summary
`String` | `className` The activatable object's class name.
`URL[]` | `commonJARs` JARs to be added into the CommonClassLoader
`MarshalledObject` | `data` The activatable object's initialization data.
`URL[]` | `exportLocation` The codebase where clients should load classes from for stubs, etc.
`URL[]` | `importLocation` The codebase where the server classes are loaded from by the activation group.
`String` | `policy` The security policy filename or URL.

Constructor Summary
`ActivateWrapper.ActivateDesc(String className, URL[] importLocation, URL[] exportLocation, URL[] commonJARs, String policy, MarshalledObject data)`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### className

    public final String className

  The activatable object's class name.

### importLocation

    public final URL[] importLocation

  The codebase where the server classes are loaded from by the activation group.

### exportLocation

    public final URL[] exportLocation

  The codebase where clients should load classes from for stubs, etc.

### commonJARs

    public final URL[] commonJARs

  JARs to be added into the CommonClassLoader

### policy

    public final String policy

  The security policy filename or URL.

### data

    public final MarshalledObject data

  The activatable object's initialization data.

Constructor Detail

### ActivateWrapper.ActivateDesc

    public ActivateWrapper.ActivateDesc(String className,
                                        URL[] importLocation,
                                        URL[] exportLocation,
                                        URL[] commonJARs,
                                        String policy,
                                        MarshalledObject data)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.